%define snapshot	1500
%define rel		10
%define distname	linuxtv-dvb-apps

%if %snapshot
%define release %mkrel 8.hg%{snapshot}.%{rel}
%else
%define release %mkrel %{rel}
%endif

Summary:	Various apps for DVB cards
Name:		dvb-apps
Version:	1.1.1
Release:	%{release}
License:	GPLv2+
Group:		Video/Television
URL:		http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps
%if %snapshot
# REV=$(hg tip --template "{rev}")
# hg archive ../dvb-apps-$REV
# tar -cJf dvb-apps-$REV.tar.xz dvb-apps-$REV
Source0:	%{name}-%{snapshot}.tar.xz
%else
Source0:	http://linuxtv.org/download/dvb/%{distname}-%{version}.tar.bz2
%endif
# (Anssi 02/2008): dvbnet tries to strip 'path/' out from 'path/dvbnet'
# in argv[0] when showing it in commandline usage help output. The NULL
# check is buggy as 's' has already been incremented by 1 before the check.
# This patch removes the stripping altogether and uses the full argv[0]
# in usage(), as GNU utilities do.
Patch0:		dvbnet-do-not-strip-dir-from-argv0.patch
Patch1:		dvb-apps-1500-perl-526.patch
Patch2:		dvb-apps-1500-dst_test-no-set-id.patch
Patch3:		dvb-apps-1500-mga-stime.patch

# bin/scan conflict:
Conflicts:	nmh

%description
Various apps for DVB cards.

# No sonames, and these are presumably only used internally,
# so put them all in the same package;
# If some other apps start using them, sonames should be fixed,
# and package splitted properly. - Anssi
%define libname %mklibname dvbapps
%define devname %mklibname dvbapps -d

%package -n %libname
Summary:	Common libraries used by dvb-apps
Group:		System/Libraries

%description -n %libname
Common libraries as used by the dvb-apps package.

%package -n %devname
Summary:	Development files for dvb-apps
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%libname = %{version}-%{release}

%description -n %devname
Development files for dvb-apps, for building applications that depend on:
- libdvbapi
- libdvbcfg
- libdvben50221
- libdvbsec
- libesg
- libucsi

%prep
%if %snapshot
%setup -q -n %name-%snapshot
%else
%setup -q -n %distname-%version -a 1
%endif
%autopatch -p1

%build
%set_build_flags
# (Anssi 02/2008) version.h gets written too late for dvbnet.c,
# parallel make broken
%__make prefix=%_prefix libdir=%_libdir includedir=%_includedir sharedir=%_datadir

%install
%make_install prefix=%_prefix libdir=%_libdir includedir=%_includedir sharedir=%_datadir

install -m644 util/av7110_loadkeys/README README.av7110_loadkeys
perl -pi -e 's:./evtest:evtest:' README.av7110_loadkeys
perl -pi -e 's:./av7110_loadkeys:av7110_loadkeys:' README.av7110_loadkeys
perl -pi -e "s:hauppauge.rc5:%{_datadir}/dvb/av7110_loadkeys/hauppauge.rc5:" README.av7110_loadkeys

install -m644 util/scan/README README.scan
perl -pi -e "s:\./::g" README.scan
perl -pi -e "s:dvb-s/Astra-19.2E:%{_datadir}/dvb/dvb-s/Astra-19.2E:" README.scan
perl -pi -e "s:atscscan -h:atscscan -h\nTuning files are stored in %{_datadir}/dvb.:"  README.scan

install -m644 util/szap/README README.zap
perl -pi -e "s:\./::g" README.zap

# backward compatibility:
ln -s scan %{buildroot}%{_bindir}/scandvb

%files
%doc README README.av7110_loadkeys README.scan util/dvbnet/net_start.*
%doc util/dib3000-watch/README.* README.zap
%{_bindir}/atsc_epg
%{_bindir}/av7110_loadkeys
%{_bindir}/azap
%{_bindir}/czap
%{_bindir}/dib3000-watch
%{_bindir}/dst_test
%{_bindir}/dvbdate
%{_bindir}/dvbnet
%{_bindir}/dvbscan
%{_bindir}/dvbtraffic
%{_bindir}/femon
%{_bindir}/gotox
%{_bindir}/gnutv
%{_bindir}/lsdvb
%{_bindir}/scan
%{_bindir}/scandvb
%{_bindir}/szap
%{_bindir}/tzap
%{_bindir}/zap
%dir %{_datadir}/dvb
%{_datadir}/dvb/atsc
%{_datadir}/dvb/av7110_loadkeys
%{_datadir}/dvb/dvb-c
%{_datadir}/dvb/dvb-s
%{_datadir}/dvb/dvb-t

%files -n %libname
%{_libdir}/libdvb*.so
%{_libdir}/libesg.so
%{_libdir}/libucsi.so

%files -n %devname
%{_includedir}/libdvbapi
%{_includedir}/libdvbcfg
%{_includedir}/libdvben50221
%{_includedir}/libdvbsec
%{_includedir}/libesg
%{_includedir}/libucsi
%{_libdir}/libdvb*.a
%{_libdir}/libesg.a
%{_libdir}/libucsi.a


%changelog
* Tue Mar 24 2020 danf <danf> 1.1.1-8.hg1500.10.mga8
+ Revision: 1559564
- Add stime.patch to work around removal of stime in glibc 2.31
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-8.hg1500.9.mga7
+ Revision: 1297527
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 daviddavid <daviddavid> 1.1.1-8.hg1500.8.mga7
+ Revision: 1200384
- patch2: remove "dst_test -p"
  The functionality was never actually implemented in the kernel,
  and CA_SET_PID was removed from the kernel headers.

* Tue Sep 12 2017 cjw <cjw> 1.1.1-8.hg1500.7.mga7
+ Revision: 1153275
- patch1: fix build with new perl

* Wed Feb 03 2016 umeabot <umeabot> 1.1.1-8.hg1500.6.mga6
+ Revision: 933374
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-8.hg1500.5.mga5
+ Revision: 748045
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-8.hg1500.4.mga5
+ Revision: 678883
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.1.1-8.hg1500.2.mga4
+ Revision: 499484
- new snapshot

* Sat Jan 19 2013 fwang <fwang> 1.1.1-8.hg1465.2.mga3
+ Revision: 389734
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 07 2012 anssi <anssi> 1.1.1-8.hg1465.1.mga2
+ Revision: 221073
- new snapshot
- new snapshot
- remove patches that were fixed upstream
- imported package dvb-apps

